QGIS Application - Bug report #20716
QGIS crashes when closing after PostGIS connection time-out
2018-12-04 11:04 AM - Stefan van Dam

Status: Closed

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 28536
Description

User Feedback

When | make a connection to postgis when starting a project that needs that connection, and then after some time close QGIS, it
crashes. It seems as if a postgis connection time-out causes the crash. I've had it several times during the past few weeks, since the
upgrade to 3.4 from 2.18. | installed QGIS with OSGEO4W64.

Report Details

Crash ID: c2493ccad997a4f615b31559d5e93d99¢c1d83354
Stack Trace

QGridLayoutEngine::rowCount :
QTextEngine:itemize :
QTextEngine::attributes :
QPlainTextDocumentLayout::layoutBlock :
QPlainTextEdit::blockBoundingRect :
QWidgetTextControl::~QWidgetTextControl :
QMetaObject::activate :
QAbstractTextDocumentLayout::updateBlock :
QPlainTextDocumentLayout::documentChanged :
QTextDocumentPrivate::finishEdit :
QWidgetTextControl::append :
QgsProject::write :
QgisApp::fileSave :
QToolButton::mouseReleaseEvent :
QWidget::event :
QApplicationPrivate::notify_helper :
QApplication::notify :
QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifylnternal2 :
QGuiApplicationPrivate::processMouseEvent :
QWindowSysteminterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :
TranslateMessageEx :

TranslateMessage :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 6.1.7601

History

#1 - 2018-12-06 10:04 AM - Giovanni Manghi
- Priority changed from Normal to High
- Status changed from Open to Feedback

Can you try ggis master? thanks.

#2 - 2019-02-24 01:20 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
